Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1
Class OReply

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.OBase
          org.apache.ode.bpel.rtrep.v1.OAgent
              org.apache.ode.bpel.rtrep.v1.OActivity
                  org.apache.ode.bpel.rtrep.v1.OReply

All Implemented Interfaces:
  java.io.Serializable, ActivityModel

    public class OReply

extends OActivity

Compiled representation of the BPEL `<reply>` activity.

See Also:
  Serialized Form

Field Summary
`java.util.List<OScope.CorrelationSet>` | `assertCorrelations` Correlation sets asserted.
`javax.xml.namespace.QName` | `fault` The type of the fault (if isFaultReply).
`java.util.List<OScope.CorrelationSet>` | `initCorrelations` Correlation sets initialized.
`boolean` | `isFaultReply` Is this a Fault reply?
`java.lang.String` | `messageExchangeId` OASIS modification - Message Exchange Id.
`javax.wsdl.Operation` | `operation`
`OPartnerLink` | `partnerLink`
`OScope.Variable` | `variable`

Fields inherited from class org.apache.ode.bpel.rtrep.v1.OActivity
`failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

Fields inherited from class org.apache.ode.bpel.rtrep.v1.OAgent
`incomingLinks, nested, outgoingLinks, variableRd, variableWr`

Fields inherited from class org.apache.ode.bpel.rtrep.v1.OBase
`debugInfo`

Constructor Summary
`OReply(OProcess owner, OActivity parent)`

Method Summary

Methods inherited from class org.apache.ode.bpel.rtrep.v1.OActivity
`getFailureHandling, getParent, getType, setFailureHandling, toString`

Methods inherited from class org.apache.ode.bpel.rtrep.v1.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### isFaultReply

    public boolean isFaultReply

  Is this a Fault reply?

### fault

    public javax.xml.namespace.QName fault

  The type of the fault (if isFaultReply).

### partnerLink

    public OPartnerLink partnerLink

### operation

    public javax.wsdl.Operation operation

### variable

    public OScope.Variable variable

### initCorrelations

    public final java.util.List<OScope.CorrelationSet> initCorrelations

  Correlation sets initialized.

### assertCorrelations

    public final java.util.List<OScope.CorrelationSet> assertCorrelations

  Correlation sets asserted.

### messageExchangeId

    public java.lang.String messageExchangeId

  OASIS modification - Message Exchange Id.

Constructor Detail

### OReply

    public OReply(OProcess owner,
                  OActivity parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD